## linux-ppc 3.8.0-3.7

=== drivers/net/Makefile ===
#
# Makefile for the Linux network device drivers.
#

#
# Networking Core Drivers
#
obj-$(CONFIG_BONDING) += bonding/
obj-$(CONFIG_DUMMY) += dummy.o
obj-$(CONFIG_EQUALIZER) += eql.o
obj-$(CONFIG_IFB) += ifb.o
obj-$(CONFIG_MACVLAN) += macvlan.o
obj-$(CONFIG_MACVTAP) += macvtap.o
obj-$(CONFIG_MII) += mii.o
obj-$(CONFIG_MDIO) += mdio.o
obj-$(CONFIG_NET) += Space.o loopback.o
obj-$(CONFIG_NETCONSOLE) += netconsole.o
obj-$(CONFIG_PHYLIB) += phy/
obj-$(CONFIG_RIONET) += rionet.o
obj-$(CONFIG_NET_TEAM) += team/
obj-$(CONFIG_TUN) += tun.o
obj-$(CONFIG_VETH) += veth.o
obj-$(CONFIG_VIRTIO_NET) += virtio_net.o
obj-$(CONFIG_VXLAN) += vxlan.o

#
# Networking Drivers
#
obj-$(CONFIG_ARCNET) += arcnet/
obj-$(CONFIG_DEV_APPLETALK) += appletalk/
obj-$(CONFIG_CAIF) += caif/
obj-$(CONFIG_CAN) += can/
obj-$(CONFIG_ETRAX_ETHERNET) += cris/
obj-$(CONFIG_NET_DSA) += dsa/
obj-$(CONFIG_ETHERNET) += ethernet/
obj-$(CONFIG_FDDI) += fddi/
obj-$(CONFIG_HIPPI) += hippi/
obj-$(CONFIG_HAMRADIO) += hamradio/
obj-$(CONFIG_IRDA) += irda/
obj-$(CONFIG_PLIP) += plip/
obj-$(CONFIG_PPP) += ppp/
obj-$(CONFIG_PPP_ASYNC) += ppp/
obj-$(CONFIG_PPP_BSDCOMP) += ppp/
obj-$(CONFIG_PPP_DEFLATE) += ppp/
obj-$(CONFIG_PPP_MPPE) += ppp/
obj-$(CONFIG_PPP_SYNC_TTY) += ppp/
obj-$(CONFIG_PPPOE) += ppp/
obj-$(CONFIG_PPPOL2TP) += ppp/
obj-$(CONFIG_PPTP) += ppp/
obj-$(CONFIG_SLIP) += slip/
obj-$(CONFIG_SLHC) += slip/
obj-$(CONFIG_NET_SB1000) += sb1000.o
obj-$(CONFIG_SUNGEM_PHY) += sungem_phy.o
obj-$(CONFIG_WAN) += wan/
obj-$(CONFIG_WLAN) += wireless/
obj-$(CONFIG_WIMAX) += wimax/
obj-$(CONFIG_IEEE802154) += ieee802154/
obj-$(if $(CONFIG_DPA),y) += dpa/ 

obj-$(CONFIG_VMXNET3) += vmxnet3/
obj-$(CONFIG_XEN_NETDEV_FRONTEND) += xen-netfront.o
obj-$(CONFIG_XEN_NETDEV_BACKEND) += xen-netback/

obj-$(CONFIG_USB_CATC)          += usb/
obj-$(CONFIG_USB_KAWETH)        += usb/
obj-$(CONFIG_USB_PEGASUS)       += usb/
obj-$(CONFIG_USB_RTL8150)       += usb/
obj-$(CONFIG_USB_HSO)		+= usb/
obj-$(CONFIG_USB_USBNET)        += usb/
obj-$(CONFIG_USB_ZD1201)        += usb/
obj-$(CONFIG_USB_IPHETH)        += usb/
obj-$(CONFIG_USB_CDC_PHONET)   += usb/

obj-$(CONFIG_HYPERV_NET) += hyperv/

=== drivers/staging/Makefile ===
# Makefile for staging directory

# fix for build system bug...
obj-$(CONFIG_STAGING)		+= staging.o

obj-y				+= media/
obj-y				+= net/
obj-$(CONFIG_ET131X)		+= et131x/
obj-$(CONFIG_SLICOSS)		+= slicoss/
obj-$(CONFIG_USBIP_CORE)	+= usbip/
obj-$(CONFIG_W35UND)		+= winbond/
obj-$(CONFIG_PRISM2_USB)	+= wlan-ng/
obj-$(CONFIG_ECHO)		+= echo/
obj-$(CONFIG_COMEDI)		+= comedi/
obj-$(CONFIG_FB_OLPC_DCON)	+= olpc_dcon/
obj-$(CONFIG_ASUS_OLED)		+= asus_oled/
obj-$(CONFIG_PANEL)		+= panel/
obj-$(CONFIG_R8187SE)		+= rtl8187se/
obj-$(CONFIG_RTL8192U)		+= rtl8192u/
obj-$(CONFIG_RTL8192E)		+= rtl8192e/
obj-$(CONFIG_R8712U)		+= rtl8712/
obj-$(CONFIG_RTS5139)		+= rts5139/
obj-$(CONFIG_TRANZPORT)		+= frontier/
obj-$(CONFIG_IDE_PHISON)	+= phison/
obj-$(CONFIG_LINE6_USB)		+= line6/
obj-$(CONFIG_USB_SERIAL_QUATECH2)	+= serqt_usb2/
obj-$(CONFIG_OCTEON_ETHERNET)	+= octeon/
obj-$(CONFIG_VT6655)		+= vt6655/
obj-$(CONFIG_VT6656)		+= vt6656/
obj-$(CONFIG_VME_BUS)		+= vme/
obj-$(CONFIG_DX_SEP)            += sep/
obj-$(CONFIG_IIO)		+= iio/
obj-$(CONFIG_ZRAM)		+= zram/
obj-$(CONFIG_ZCACHE)		+= zcache/
obj-$(CONFIG_ZSMALLOC)		+= zsmalloc/
obj-$(CONFIG_WLAGS49_H2)	+= wlags49_h2/
obj-$(CONFIG_WLAGS49_H25)	+= wlags49_h25/
obj-$(CONFIG_FB_SM7XX)		+= sm7xxfb/
obj-$(CONFIG_CRYSTALHD)		+= crystalhd/
obj-$(CONFIG_CXT1E1)		+= cxt1e1/
obj-$(CONFIG_FB_XGI)		+= xgifb/
obj-$(CONFIG_TIDSPBRIDGE)	+= tidspbridge/
obj-$(CONFIG_ACPI_QUICKSTART)	+= quickstart/
obj-$(CONFIG_SBE_2T3E3)		+= sbe-2t3e3/
obj-$(CONFIG_USB_ENESTORAGE)	+= keucr/
obj-$(CONFIG_BCM_WIMAX)		+= bcm/
obj-$(CONFIG_FT1000)		+= ft1000/
obj-$(CONFIG_SPEAKUP)		+= speakup/
obj-$(CONFIG_TOUCHSCREEN_CLEARPAD_TM1217)	+= cptm1217/
obj-$(CONFIG_TOUCHSCREEN_SYNAPTICS_I2C_RMI4)	+= ste_rmi4/
obj-$(CONFIG_MFD_NVEC)		+= nvec/
obj-$(CONFIG_DRM_OMAP)		+= omapdrm/
obj-$(CONFIG_ANDROID)		+= android/
obj-$(CONFIG_USB_WPAN_HCD)	+= ozwpan/
obj-$(CONFIG_USB_G_CCG)		+= ccg/
obj-$(CONFIG_WIMAX_GDM72XX)	+= gdm72xx/
obj-$(CONFIG_CSR_WIFI)		+= csr/
obj-$(CONFIG_OMAP_BANDGAP)	+= omap-thermal/
obj-$(CONFIG_ZCACHE2)		+= ramster/
obj-$(CONFIG_NET_VENDOR_SILICOM)	+= silicom/
obj-$(CONFIG_CED1401)		+= ced1401/
obj-$(CONFIG_DRM_IMX)		+= imx-drm/
obj-$(CONFIG_DGRP)		+= dgrp/
obj-$(CONFIG_SB105X)		+= sb105x/
obj-$(CONFIG_FIREWIRE_SERIAL)	+= fwserial/
obj-$(CONFIG_FSL_DPA)		+= fsl_qbman/
obj-$(CONFIG_FSL_PME2)		+= fsl_pme2/

=== arch/powerpc/sysdev/Makefile ===
subdir-ccflags-$(CONFIG_PPC_WERROR) := -Werror

ccflags-$(CONFIG_PPC64)		:= -mno-minimal-toc

mpic-msi-obj-$(CONFIG_PCI_MSI)	+= mpic_msi.o mpic_u3msi.o mpic_pasemi_msi.o
obj-$(CONFIG_MPIC)		+= mpic.o $(mpic-msi-obj-y)
mpic-msgr-obj-$(CONFIG_MPIC_MSGR)	+= mpic_msgr.o
obj-$(CONFIG_MPIC)		+= mpic.o $(mpic-msi-obj-y) $(mpic-msgr-obj-y)
obj-$(CONFIG_PPC_EPAPR_HV_PIC)	+= ehv_pic.o
fsl-msi-obj-$(CONFIG_PCI_MSI)	+= fsl_msi.o
obj-$(CONFIG_PPC_MSI_BITMAP)	+= msi_bitmap.o

obj-$(CONFIG_PPC_MPC106)	+= grackle.o
obj-$(CONFIG_PPC_DCR_NATIVE)	+= dcr-low.o
obj-$(CONFIG_PPC_PMI)		+= pmi.o
obj-$(CONFIG_U3_DART)		+= dart_iommu.o
obj-$(CONFIG_MMIO_NVRAM)	+= mmio_nvram.o
obj-$(CONFIG_FSL_SOC)		+= fsl_soc.o fsl_mpic_err.o
obj-$(CONFIG_FSL_PCI)		+= fsl_pci.o $(fsl-msi-obj-y)
obj-$(CONFIG_FSL_PMC)		+= fsl_pmc.o
obj-$(CONFIG_FSL_LBC)		+= fsl_lbc.o
obj-$(CONFIG_FSL_IFC)		+= fsl_ifc.o
obj-$(CONFIG_FSL_GTM)		+= fsl_gtm.o
obj-$(CONFIG_FSL_PAMU)		+= fsl_pamu.o
obj-$(CONFIG_FSL_85XX_CACHE_SRAM)	+= fsl_85xx_l2ctlr.o fsl_85xx_cache_sram.o
obj-$(CONFIG_SIMPLE_GPIO)	+= simple_gpio.o
obj-$(CONFIG_FSL_RIO)		+= fsl_rio.o fsl_rmu.o
obj-$(CONFIG_TSI108_BRIDGE)	+= tsi108_pci.o tsi108_dev.o
obj-$(CONFIG_QUICC_ENGINE)	+= qe_lib/
obj-$(CONFIG_PPC_BESTCOMM)	+= bestcomm/
mv64x60-$(CONFIG_PCI)		+= mv64x60_pci.o
obj-$(CONFIG_MV64X60)		+= $(mv64x60-y) mv64x60_pic.o mv64x60_dev.o \
				   mv64x60_udbg.o
obj-$(CONFIG_RTC_DRV_CMOS)	+= rtc_cmos_setup.o
obj-$(CONFIG_AXON_RAM)		+= axonram.o

obj-$(CONFIG_PPC_INDIRECT_PCI)	+= indirect_pci.o
obj-$(CONFIG_PPC_I8259)		+= i8259.o
obj-$(CONFIG_IPIC)		+= ipic.o
obj-$(CONFIG_4xx)		+= uic.o
obj-$(CONFIG_4xx_SOC)		+= ppc4xx_soc.o
obj-$(CONFIG_XILINX_VIRTEX)	+= xilinx_intc.o
obj-$(CONFIG_XILINX_PCI)	+= xilinx_pci.o
obj-$(CONFIG_OF_RTC)		+= of_rtc.o
ifeq ($(CONFIG_PCI),y)
obj-$(CONFIG_4xx)		+= ppc4xx_pci.o
endif
obj-$(CONFIG_PPC4xx_MSI)	+= ppc4xx_msi.o
obj-$(CONFIG_PPC4xx_CPM)	+= ppc4xx_cpm.o
obj-$(CONFIG_PPC4xx_GPIO)	+= ppc4xx_gpio.o

obj-$(CONFIG_CPM)		+= cpm_common.o
obj-$(CONFIG_CPM2)		+= cpm2.o cpm2_pic.o
obj-$(CONFIG_QUICC_ENGINE)	+= cpm_common.o
obj-$(CONFIG_PPC_DCR)		+= dcr.o
obj-$(CONFIG_8xx)		+= mpc8xx_pic.o cpm1.o
obj-$(CONFIG_UCODE_PATCH)	+= micropatch.o

obj-$(CONFIG_PPC_MPC512x)	+= mpc5xxx_clocks.o
obj-$(CONFIG_PPC_MPC52xx)	+= mpc5xxx_clocks.o

ifeq ($(CONFIG_SUSPEND),y)
obj-$(CONFIG_6xx)		+= 6xx-suspend.o
endif

obj-$(CONFIG_PPC_SCOM)		+= scom.o

subdir-ccflags-$(CONFIG_PPC_WERROR) := -Werror

obj-$(CONFIG_PPC_XICS)		+= xics/

obj-$(CONFIG_GE_FPGA)		+= ge/

=== drivers/net/dpa/Makefile ===
#
# Makefile for the Freescale Ethernet controllers
#
EXTRA_CFLAGS           += -DVERSION=\"\"
#
#Include netcomm SW specific definitions
include $(srctree)/drivers/net/dpa/NetCommSw/ncsw_config.mk

EXTRA_CFLAGS += -I$(NET_DPA)

#Netcomm SW tree
obj-$(CONFIG_FSL_FMAN) += NetCommSw/
obj-$(CONFIG_FSL_DPA_1588) += dpaa_1588.o
obj-$(CONFIG_DPA) += fsl-mac.o fsl-dpa.o
obj-$(CONFIG_DPA_OFFLINE_PORTS) += fsl-oh.o

fsl-dpa-objs	:= dpa-ethtool.o dpaa_eth.o xgmac_mdio.o
fsl-mac-objs	:= mac.o mac-api.o
fsl-oh-objs	:= offline_port.o

=== drivers/net/dpa/NetCommSw/Peripherals/FM/HC/Makefile ===
#
# Makefile for the Freescale Ethernet controllers
#
EXTRA_CFLAGS           += -DVERSION=\"\"
#
#Include netcomm SW specific definitions
include $(srctree)/drivers/net/dpa/NetCommSw/ncsw_config.mk

NCSW_FM_INC = $(srctree)/drivers/net/dpa/NetCommSw/Peripherals/FM/inc

EXTRA_CFLAGS += -I$(NCSW_FM_INC)

obj-y		+= fsl-ncsw-Hc.o

fsl-ncsw-Hc-objs	:=   hc.o

=== drivers/net/dpa/NetCommSw/Peripherals/FM/Pcd/Makefile ===
#
# Makefile for the Freescale Ethernet controllers
#
EXTRA_CFLAGS           += -DVERSION=\"\"
#
#Include netcomm SW specific definitions
include $(srctree)/drivers/net/dpa/NetCommSw/ncsw_config.mk

NCSW_FM_INC = $(srctree)/drivers/net/dpa/NetCommSw/Peripherals/FM/inc

EXTRA_CFLAGS += -I$(NCSW_FM_INC)

obj-y		+= fsl-ncsw-Pcd.o

fsl-ncsw-Pcd-objs	:=   fm_cc.o fm_kg.o fm_pcd.o fm_plcr.o fm_prs.o

=== debian/changelog ===
linux-ppc (3.8.0-3.7) raring; urgency=low

  [ Ubuntu: 3.8.0-4.8 ]

  * SAUCE: imx6: dts: Add IMX6Q AHCI support
  * rebase to v3.8-rc6
  * updateconfigs following rebase to v3.8-rc6
  * Release Tracking Bug
    - LP: #1112573
  * SAUCE: imx6: enable sata clk if SATA_AHCI_PLATFORM
  * [Config] SERIAL_AMBA_PL011=y (vexpress serial console)
  * [Config] MMC_ARMMMCI=y (vexpress mmc)
  * [Config] FB_ARMCLCD=y (vexpress framebuffer)
  * [Config] CONFIG_MAC80211_MESSAGE_TRACING=y
  * rebase to v3.8-rc6
    - LP: #1107477

  [ Ubuntu: 3.8.0-3.7 ]

  * SAUCE: ARM: OMAP2+: add cpu id register to MAC address helper
  * SAUCE: ARM: omap2 add mac address allocation register api
  * SAUCE: ARM: omap2 panda register ethernet and wlan for automatic mac
    allocation
  * rebase to v3.8-rc5
  * Release Tracking Bug
    - LP: #1111486
  * SAUCE: davinci: vpss: compilation fix
  * [Config] enable TI OMAP4 support (Pandaboard/ES)
  * [Config] OMAP_USB2=y (since TWL6030_USB depends on it)
  * [Config] enable Freescale IMX6 support (SabreLite)
  * [Config] SERIAL_IMX_CONSOLE=y
  * [Config] MMC_*_IMX=y
  * [Config] disable USB_SUSPEND
  * [Config] USB_MXS_PHY=y
  * [Config] USB_CHIPIDEA=y
  * SAUCE: DTB: add support for multiple DTBs
  * SAUCE: DTB: build imx6q-sabrelite
  * SAUCE: DTB: build beaglexm
  * SAUCE: DTB: build panda/panda es
  * [Config] disable CPU_FREQ
  * [Config] PANEL_TFP410=y (video DVI output)
  * [Config] SND_OMAP_SOC*=y
  * [Config] SND_IMX_SOC*=y
  * [Config] I2C_IMX=y
  * [Config] SPI_IMX=m
  * [Config] Move 9p modules into generic package
    - LP: #1107658
  * SAUCE: ARM: OMAP2+: Limit omap initcalls to omap only on multiplatform
    kernels
  * SAUCE: ARM: OMAP2+: Use omap initcalls
  * SAUCE: ARM: OMAP: Fix i2c cmdline initcall for multiplatform
  * SAUCE: ARM: OMAP: Fix dmaengine init for multiplatform
  * SAUCE: ARM: OMAP2+: Add multiplatform debug_ll support
  * SAUCE: ARM: OMAP2+: Disable code that currently does not work with
    multiplaform
  * SAUCE: ARM: OMAP2+: Enable ARCH_MULTIPLATFORM support
  * SAUCE: ARM: OMAP2+: Add minimal support for booting vexpress
  * SAUCE: ARM: OMAP2+: Remove now obsolete uncompress.h and debug-macro.S
  * rebase to v3.8-rc5
    - LP: #1096789

 -- Ben Collins <ben.c@servergy.com>  Sat, 02 Feb 2013 17:43:31 -0500

linux-ppc (3.8.0-2.6) raring; urgency=low

  [ Ubuntu: 3.8.0-2.6 ]

  * Fix up linux-tools -> SRCPKGNAME-tools rename
  * [Config] re-disable CONFIG_SOUND_OSS
    - LP: #1105230
  * SAUCE: brcmsmac: fix tx status processing
  * Release Tracking Bug
    - LP: #1105104

 -- Ben Collins <ben.c@servergy.com>  Tue, 29 Jan 2013 10:25:29 -0500

linux-ppc (3.8.0-1.5) raring; urgency=low

  [ Ben Collins ]

  * SAUCE: Remove __devinit and __devexit annotations
  * SAUCE: Add op emulation to allow newer kernels to run under e500
    qemu-kvm

  [ PPC Ubuntu: 3.8.0-1.4 ]

  [ Adam Conrad ]

  * Sync build-deps with master to avoid future FTBFS
  * Fix up linux-tools -> SRCPKGNAME-tools rename
  * Add a debian/source/options file to ignore cruft

  [ Andy Whitcroft ]

  * [Config] enable various HVC consoles
    - LP: #1102206
  * [Config] linux-image-* should Suggests: linux-headers-*
    - LP: #1029730

  [ Ubuntu: 3.8.0-1.5 ]

  * Release Tracking Bug
    - LP: #1101235
  * SAUCE: Input: add support for Cypress PS/2 Trackpads
    - LP: #978807
  * SAUCE: Input: increase struct ps2dev cmdbuf[] to 8 bytes
  * SAUCE: Input: Cypress PS/2 Trackpad simulated multitouch
  * [Config] Add CONFIG_PS2_CYPRESS
  * rebase to v3.8-rc4
  * rebase to v3.8-rc4
    - LP: #1095315
    - LP: #886975
    - LP: #1086921

  [ Ubuntu: 3.8.0-0.4 ]

  * [Config] Update CONFIG_TOUCHSCREEN_EGALAX build annotation
  * [Config] Update CONFIG_IIO build annotation
  * [Config] Update CONFIG_TOUCHSCREEN_EETI annotation
  * [Config] Remove CONFIG_SPI_DW_MMIO annotation
  * [Config] Remove CONFIG_SPI_PL022 annotation
  * [Config] Update CONFIG_EZX_PCAP annotation
  * [Config] Update CONFIG_SENSORS_AK8975 annotation
  * [Config] Disable CONFIG_DRM_MGAG200
    - LP: #1042903

  [ Ubuntu: 3.8.0-0.3 ]

  * Revert "SAUCE: (no-up) trace: add trace events for open(), exec() and
    uselib()"
  * SAUCE: (no-up) trace: add trace events for open(), exec() and uselib()
    (for v3.7+)
    - LP: #1085766, #462111

 -- Ben Collins <ben.c@servergy.com>  Tue, 22 Jan 2013 20:41:25 -0500

linux-ppc (3.8.0-0.2) raring; urgency=low

  * [Config] Sync configs

  [ Ubuntu: 3.8.0-0.1 ]

  * rebase to v3.8-rc3
    - LP: #1096789
  * rebase to v3.8-rc2
    - LP: #1082357
    - LP: #1075882

 -- Ben Collins <ben.c@servergy.com>  Wed, 09 Jan 2013 10:34:05 -0500

linux-ppc (3.7.0-6.16) raring; urgency=low

  [ Ben Collins ]

  * SAUCE: Implement button power off in CTS-1000 driver

  [ Ubuntu: 3.7.0-7.15 ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182
  * Add ceph to linux-image for virtual instances
    - LP: #1063784
  * SAUCE: net: dev_change_net_namespace: send a KOBJ_REMOVED/KOBJ_ADD
  * [Config] CONFIG_SLUB_DEBUG=y
    - LP: #1090308
  * Revert "[SCSI] sd: Implement support for WRITE SAME"
    - LP: #1089818

 -- Ben Collins <ben.c@servergy.com>  Mon, 17 Dec 2012 09:51:13 -0500

linux-ppc (3.7.0-5.15) raring; urgency=low

  [ Ben Collins ]

  * Revert "SAUCE: p4080ds: Add mechanism for GPIO triggered system
    poweroff"
  * SAUCE: New driver for Servergy CTS-1000 systems (system halt/poweroff
    support)
  * [Config] Re-enable KVM and 8250_CONSOLE

 -- Ben Collins <ben.c@servergy.com>  Thu, 13 Dec 2012 11:11:28 -0500

linux-ppc (3.7.0-4.14) raring; urgency=low

  [ Andy Whitcroft ]

  * [Configs] apply annotation updates to PPC configs (top section)

  [ Ubuntu: 3.7.0-6.14 ]

  * [Config] annotations: all new annotations scheme including defaults
  * [Configs] apply annotation updates to main configs (top section)
  * Revert "SAUCE: include <linux/printk.h> and <stdarg.h> for mmc_core arm
    build"


=== debian/control ===
Source: linux-ppc
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), device-tree-compiler [powerpc], libelf-dev, libnewt-dev, binutils-dev, rsync, libdw-dev, dpkg (>= 1.16.0~ubuntu4), util-linux, pkg-config, flex, bison, libunwind8-dev, openssl, u-boot-tools [powerpc]
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-raring.git

Package: linux-ppc-source-3.8.0
Architecture: all
Section: devel
Priority: optional
Provides: linux-ppc-source, linux-ppc-source-3
Depends: ${misc:Depends}, binutils, bzip2, coreutils | fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux kernel source for version 3.8.0 with Ubuntu patches
 This package provides the source code for the Linux kernel version
 3.8.0.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-headers
 package instead.

Package: linux-ppc-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Conflicts: linux-ppc-doc-3
Replaces: linux-ppc-doc-3
Description: Linux kernel specific documentation for version 3.8.0
 This package provides the various documents in the 3.8.0 kernel
 Documentation/ subdirectory.  These document kernel subsystems, APIs, device
 drivers, and so on.  See
 /usr/share/doc/linux-ppc-doc/00-INDEX for a list of what is
 contained in each file.

Package: linux-ppc-tools-common
Architecture: all
Section: kernel
Priority: optional
Depends: ${misc:Depends}
Replaces: linux-ppc-tools (<= 2.6.32-16.25)
Description: Linux kernel version specific tools for version 3.8.0
 This package provides the architecture independent parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version PGKVER.

Package: linux-ppc-headers-3.8.0-3
Architecture: powerpc
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Description: Header files related to Linux kernel version 3.8.0
 This package provides kernel header files for version 3.8.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-ppc-headers-3.8.0-3/debian.README.gz for details

Package: linux-ppc-tools-3.8.0-3
Architecture: powerpc
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-ppc-tools-common
Description: Linux kernel version specific tools for version 3.8.0-3
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 3.8.0-3 on
 PowerPC (32 bit userspace).


Package: linux-image-3.8.0-3-powerpc-e500
Architecture: powerpc
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.0, fuse-module, redhat-cluster-modules, ivtv-modules
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: grub-kexec
Suggests: fdutils, linux-ppc-doc-3.8.0 | linux-ppc-source-3.8.0, linux-ppc-tools, linux-headers-3.8.0-3-powerpc-e500
Description: Linux kernel image for version 3.8.0 on 32-bit Freescale Power e500v1 and e500v2
 This package contains the Linux kernel image for version 3.8.0 on
 32-bit Freescale Power e500v1 and e500v2.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports 32-bit Freescale Power e500v1 and e500v2 processors.
 .
 Geared toward server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-e500 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-3.8.0-3-powerpc-e500
Architecture: powerpc
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-3.8.0-3-powerpc-e500, crda (>=1.1.1-1ubuntu2) | wireless-crda
Description: Linux kernel image for version 3.8.0 on 32-bit Freescale Power e500v1 and e500v2
 This package contains the Linux kernel image for version 3.8.0 on
 32-bit Freescale Power e500v1 and e500v2.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports 32-bit Freescale Power e500v1 and e500v2 processors.
 .
 Geared toward server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-e500 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.8.0-3-powerpc-e500
Architecture: powerpc
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-ppc-headers-3.8.0-3, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 3.8.0 on 32-bit Freescale Power e500v1 and e500v2
 This package provides kernel header files for version 3.8.0 on
 32-bit Freescale Power e500v1 and e500v2.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-ppc-headers-3.8.0-3/debian.README.gz for details.

Package: linux-image-3.8.0-3-powerpc-e500-dbgsym
Architecture: powerpc
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.8.0 on 32-bit Freescale Power e500v1 and e500v2
 This package provides a kernel debug image for version 3.8.0 on
 32-bit Freescale Power e500v1 and e500v2.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-3.8.0-3-powerpc-e500mc
Architecture: powerpc
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.0, fuse-module, redhat-cluster-modules, ivtv-modules
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: grub-kexec
Suggests: fdutils, linux-ppc-doc-3.8.0 | linux-ppc-source-3.8.0, linux-ppc-tools, linux-headers-3.8.0-3-powerpc-e500mc
Description: Linux kernel image for version 3.8.0 on 32-bit Freescale Power e500mc
 This package contains the Linux kernel image for version 3.8.0 on
 32-bit Freescale Power e500mc.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports 32-bit Freescale Power e500mc processors.
 .
 Geared toward server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-e500mc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-3.8.0-3-powerpc-e500mc
Architecture: powerpc
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-3.8.0-3-powerpc-e500mc, crda (>=1.1.1-1ubuntu2) | wireless-crda
Description: Linux kernel image for version 3.8.0 on 32-bit Freescale Power e500mc
 This package contains the Linux kernel image for version 3.8.0 on
 32-bit Freescale Power e500mc.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports 32-bit Freescale Power e500mc processors.
 .
 Geared toward server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-e500mc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.8.0-3-powerpc-e500mc
Architecture: powerpc
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-ppc-headers-3.8.0-3, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 3.8.0 on 32-bit Freescale Power e500mc
 This package provides kernel header files for version 3.8.0 on
 32-bit Freescale Power e500mc.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-ppc-headers-3.8.0-3/debian.README.gz for details.

Package: linux-image-3.8.0-3-powerpc-e500mc-dbgsym
Architecture: powerpc
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.8.0 on 32-bit Freescale Power e500mc
 This package provides a kernel debug image for version 3.8.0 on
 32-bit Freescale Power e500mc.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-image-3.8.0-3-powerpc-smp
Architecture: powerpc
Section: kernel
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Provides: linux-image, linux-image-3.0, fuse-module, redhat-cluster-modules, ivtv-modules
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), module-init-tools (>= 3.3-pre11-4ubuntu3)
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: yaboot
Suggests: fdutils, linux-ppc-doc-3.8.0 | linux-ppc-source-3.8.0, linux-ppc-tools, linux-headers-3.8.0-3-powerpc-smp
Description: Linux kernel image for version 3.8.0 on 32-bit PowerPC SMP
 This package contains the Linux kernel image for version 3.8.0 on
 32-bit PowerPC SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports 32-bit PowerPC SMP processors.
 .
 Geared toward desktop or server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-3.8.0-3-powerpc-smp
Architecture: powerpc
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-3.8.0-3-powerpc-smp, crda (>=1.1.1-1ubuntu2) | wireless-crda
Description: Linux kernel image for version 3.8.0 on 32-bit PowerPC SMP
 This package contains the Linux kernel image for version 3.8.0 on
 32-bit PowerPC SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports 32-bit PowerPC SMP processors.
 .
 Geared toward desktop or server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc-smp meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.8.0-3-powerpc-smp
Architecture: powerpc
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-ppc-headers-3.8.0-3, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
